Subject: Re: bug#19880: 24.4; info-look.el latex2e.info setup

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 02 Aug 2019 21:26:24 +0200

Kevin Ryde <[email-masked]> writes:

> If info-look.el is loaded before info-mode has been used then a
> latex2e.info file is not noticed for latex-mode help.  For example
>
>     [ have a copy of latex2e.info in /usr/share/info ]
>     emacs -Q /tmp/foo.ltx
>     \part                  ;; buffer content
>     C-h S
>     =>
>     [message] Cannot access Info node `(latex)Command Index'
>     [error}   info-lookup: Not documented as a symbol: \cdots
>
> I hoped it could open latex2e.info, per the conditional in info-look.el
>
>     (if (Info-find-file "latex2e" t)
>         ;; From http://home.gna.org/latexrefman
>         "(latex2e)Command Index"
>       "(latex)Command Index")
>
> I think `Info-find-file' doesn't work until `info-initialize' has run.
> Perhaps chuck that or equivalent in there.

Makes sense, so I've done that on the Emacs trunk.

Looking at `info-initialize', it doesn't look destructive, so it should
be safe to run here.  If this is a mistake, please feel free to revert
this change.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no